ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

ROS 2 Foxy Fitzroy call for testing and package releases

Hi all,

The ROS 2 team is preparing for the release of Foxy Fitzroy and we’d like to invite you to help us by testing out the pre-release or releasing your own packages to Foxy.

Testing the pre-release

ROS 2 is available with multiple RMW implementations on multiple platforms and architectures. Depending on your system configuration, you can help us out by doing any of the following:

  • Building ROS 2 from source on your preferred platform. Instructions are here.

  • Install and use the ROS 2 Ubuntu Focal packages. Instructions can be found here. If you want to install all packages while ignoring debug symbol packages:

    sudo apt install $(apt-cache search 'ros-foxy-.*' | awk '/dbgsym/ { next; } { print $1; }')
    
  • Install and use the binary archives (Ubuntu 20.04, Windows 10, macOS Mojave). Instructions are here.

  • Try out some of the new tutorials with one or more different RMW implementations

If you run into problems, all the usual recommendations apply. You can ask questions on https://answers.ros.org with the foxy tag or report issues on https://github.com/ros2/ros2 or the relevant package repository. Be sure to follow the contributing guidelines and issue templates.

Releasing your packages

If you maintain a package you would like to release in ROS 2 Foxy we encourage you to do so by following the guide to releasing a ROS 2 package with bloom. For Foxy, the minimum required version of bloom is 0.9.7.

Known issues

Here are some known issues/tasks that are planned to be resolved before Foxy is released:

The ROS 2 Team

10 Likes

Can’t wait! Good job everyone!

1 Like